Summary:   Kobo Deluxe is an SDL port of Akira Higuchi's game XKobo 
Name:      skobo
Version:   0.4
%define pre pre8
Release:   0.%{pre}.6mdk
License: GPL
Group: Games/Arcade
Packager: Pixel <pixel@mandrakesoft.com>
URL: http://olofson.net/skobo/
Source0: http://olofson.net/skobo/download/KoboDeluxe-%{version}%{pre}.tar.bz2
Source4: %{name}.menu
Source5: %{name}-16.png
Source6: %{name}-32.png
Source7: %{name}-48.png
Patch0:	 skobo-0.4-0.pre8.4_ppc_getargs.patch.bz2
BuildRequires: SDL_image-devel
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: xkobo
Provides: xkobo

%description
Kobo Deluxe is an SDL port of Akira Higuchi's game XKobo. It adds sound,
smoother animation, filtered high resolution support, a more intuitive menu
driven user interface, joystick support and other features, and runs on most
of the major operating systems. Kobo Deluxe uses the Free/Open Source
libraries SDL and SDL_image, which can be downloaded (source as well as
binaries for various platforms) from http://www.libsdl.org.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n KoboDeluxe-%{version}%{pre}
%ifarch ppc
%patch0 -p1
%endif

%build
%configure
%make kobo_scoredir=%{_localstatedir}/games/%{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}
%makeinstall_std kobo_scoredir=%{_localstatedir}/games/%{name}

mv $RPM_BUILD_ROOT/usr/games/*/scores $RPM_BUILD_ROOT%{_localstatedir}/games/%{name}
(cd $RPM_BUILD_ROOT%{_bindir} ; mv -f * skobo)

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING* ChangeLog README* TODO
%attr(2755, root, games) %{_bindir}/*
%attr(775, root, games) %{_localstatedir}/games/%{name}
%{_datadir}/games/*
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Wed Oct 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.4-0.pre8.6mdk
- Patch getargs on PPC build (patch0)

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-0.pre8.5mdk
- BuildRequires: SDL_image-devel

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 0.4-0.pre8.4mdk
- Fix icon (menu)

* Fri Aug 16 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre8.3mdk
- fix permissions for scores dir (thanks to Goetz Waschk)

* Thu Aug 15 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre8.2mdk
- rebuild for new libstdc++

* Wed Aug 14 2002 Pixel <pixel@mandrakesoft.com> 0.4-0.pre8.1mdk
- initial spec

